
026-2,76,85,0	script	#Diary	NPC400,{
    @npc_distance = 3;
    callfunc "PCtoNPCRange";
    if(@npc_check) end;

    @Graveyard_Inn_MASK = NIBBLE_0_MASK;
    @Graveyard_Inn_SHIFT = NIBBLE_0_SHIFT;

    @reid = ((QUEST_Graveyard_Inn & @Graveyard_Inn_MASK) >> @Graveyard_Inn_SHIFT);

    if (@reid >= 6) goto L_Diary;
    @reid = 0;
    end;

L_Diary:
    mes "You pull out Reid's diary from behind a huge poetry book. Towards the end of the diary, you find some entries which seem to be about Savaric.";
    next;
    mes "'Savaric keeps confusing me - one time he is so flirtatious and smooth, another time he is cold and unfriendly. What is it with this man?'";
    next;
    mes "'I need to stay away from him! It's not right, what I am feeling. It seems Hamond doesn't suspect anything about my feelings - but I know, it's just a matter of time. I need to come to my senses again!'";
    next;
    mes "'Oh, this chaotic situation between Savaric and me is getting serious. I was in his room today and he put his arms around me - I wanted to push him away, but I couldn't move. It was such a sweet feeling. I was torn between my brain saying 'No!' and my body wanting to feel his touch. Then, Aldred showed up and Savaric let me go.'";
    next;
    mes "The next part is blurred - it seems Reid was crying while writing it.";
    mes "'Savaric was talking again about leaving, because he can't find the mana seed. The thought that I would never see him again made me feel like I was falling into a dark abyss! I need to decide what to do. But Hamond - I owe him so much. And what about Aldred?'";
    next;
    mes "'We kissed each other - oh, I'm feeling so bad. I'm an unfaithful slut. But I want it to happen again, so badly.'";
    next;
    mes "'I told Savaric we have to stop with this - he was very understanding. But then he started to hold me again and I couldn't resist. I don't know what to do, at all! His touch on my waist, even through my clothes, made me feel more excited than Hamond's touch ever did.'";
    next;
    mes "'I don't know if Hamond suspects us - he was holding me tight all through the night, whispering declarations of love in my ears. Oh, I feel so bad.'";
    next;
    mes "'Hamond won't be here tomorrow night - he needs to visit our wine supplier to negotiate the prices. Savaric knows this. I'm feeling so excited - I should go with Hamond, but I told him I need to take care of the inn while he's away. Savaric... '";
    next;
    mes "This is the last entry.";
    if (@reid != 6)
        goto L_close;

    @reid = 7;
    callsub S_Update_Mask;
    goto L_close;

L_close:
    @reid = 0;
    close;

S_Update_Mask:
    set QUEST_Graveyard_Inn,
        (QUEST_Graveyard_Inn & ~(@Graveyard_Inn_MASK))
            | (@reid << @Graveyard_Inn_SHIFT);
    return;
}
